//
//  AllKeysView.swift
//  OTP
//
//  Created by Shadowfacts on 8/25/21.
//

import SwiftUI

struct AllKeysView: View {
    @ObservedObject private var store: KeyStore
    @ObservedObject private var codeHolder: AppView.CodeHolder
    @State private var searchQuery = ""
    
    init() {
        let store = KeyStore.shared
        self.store = store
        self.codeHolder = AppView.CodeHolder(store: store, entryFilter: nil)
    }
    
    var body: some View {
        List {
            KeysSection(codeHolder: codeHolder, searchQuery: searchQuery)
        }
        .listStyle(.insetGrouped)
        .searchable(text: $searchQuery)
        .navigationTitle("All Keys")
        .toolbar {
            ToolbarItem(placement: .navigationBarTrailing) {
                AddKeyButton(folderID: nil, canAddFolder: false)
            }
        }
    }
}

struct AllKeysView_Previews: PreviewProvider {
    static var previews: some View {
        AllKeysView()
    }
}
