//
//  FolderView.swift
//  OTP
//
//  Created by Shadowfacts on 8/24/21.
//

import SwiftUI

struct FolderView: View {
    @ObservedObject private var store: KeyStore
    private let folder: KeyData.Folder
    @ObservedObject private var codeHolder: AppView.CodeHolder
    
    init(folder: KeyData.Folder) {
        let store = KeyStore.shared
        self.store = store
        self.folder = folder
        self.codeHolder = AppView.CodeHolder(store: store) { (entry) in
            entry.folderID == folder.id
        }
    }
    
    var body: some View {
        List {
            KeysSection(codeHolder: codeHolder)
        }
        .listStyle(.insetGrouped)
        .navigationTitle(folder.name)
        .toolbar {
            ToolbarItem(placement: .navigationBarTrailing) {
                AddKeyButton(folderID: folder.id, canAddFolder: false)
            }
        }
    }
}

struct FolderView_Previews: PreviewProvider {
    static var previews: some View {
        FolderView(folder: .init(name: "Test"))
    }
}
